--
-- 
--

loadfile("luaScripts/screen_reader_common.inc")();
loadfile("luaScripts/ui_utils.inc")();

per_click_delay = 200;
waitDelay = 100;

up = nil;
right_click = nil;

function clickAll(image_name, up)
	-- Find buttons and click them!
	srReadScreen();
	local buttons = findAllImages(image_name);
	
	if #buttons == 0 then
		return nil;
	else
		if up then
			for i=#buttons, 1, -1  do
				srClickMouseNoMove(buttons[i][0]+5, buttons[i][1]+3);
				lsSleep(per_click_delay);
			end
		else
			for i=1, #buttons  do
				srClickMouseNoMove(buttons[i][0]+5, buttons[i][1]+3);
				lsSleep(per_click_delay);
			end
		end
		lsSleep(50);
		return 1;
	end
end


function doit()
	local num_rounds;
	askForWindow("Ensure your hand loom is pinned before starting, click in ATITD and press shift");
	local count = 0;
	while true do
		statusScreen("Linen Woven: " .. count);
		--load linen
		srReadScreen();
		buttons = findOneImage("LoadThread.png");
		
		if #buttons > 0 then
			srClickMouseNoMove(buttons[1][0]+2, buttons[1][1] + 2, right_click);
			lsSleep(per_click_delay);
		end
		
		while clickAll("Max.png") ~= nil do
		end
		
		while clickAll("Ok.png") ~= nil do
		end
		
		--wait until enduranec is black
		
		srReadScreen();
		buttons = findOneImage("Endurance-Black.png");
		while #buttons == 0 do
			statusScreen("Linen Woven: " .. count);
			lsSleep(waitDelay);
			srReadScreen();
			buttons = findOneImage("Endurance-Black.png");
		end
		srReadScreen();
		buttons = findOneImage("WeaveLinen.png");
		if #buttons > 0 then
			srClickMouseNoMove(buttons[1][0]+2, buttons[1][1] + 2, right_click);
			lsSleep(per_click_delay);
		count = count + 1;
		end
	end
end
